| Web Services for Remote Management 14.0 Reference documentation for web service interfaces to support remote management of Symantec Endpoint Protection

- Home
- Packages
- Classes

- Class List
- Class Hierarchy
- Class Members

List of all members | Public Member Functions
com.symantec.sepm.webservice.client.Group Class Reference

Provides the individual Group object that is included in a GroupResult list. More...

## Public Member Functions
| Group ()
| The default constructor that takes no parameters. More...
| Group (String id, String fullPath, String name, boolean policyInheritanceEnabled)
| Constructor that takes the group ID, the fully qualified path of the group, the name of the group, and whether policy inheritance is enabled as parameters. More...
String | getId ()
void | setId (String id)
String | getFullPath ()
void | setFullPath (String fullPath)
String | getName ()
void | setName (String name)
boolean | isPolicyInheritanceEnabled ()
| Returns true if this group is configured to inherit its policy from one of its ancestor groups. More...
void | setPolicyInheritanceEnabled (boolean policyInheritanceEnabled)
| Sets the policy inheritance state for this object to match the persistent state of this group. More...

## Detailed Description

Provides the individual Group object that is included in a GroupResult list.

## Constructor & Destructor Documentation

com.symantec.sepm.webservice.client.Group.Group | ( |  | ) |

The default constructor that takes no parameters.

com.symantec.sepm.webservice.client.Group.Group | ( | String | id,
|  | String | fullPath,
|  | String | name,
|  | boolean | policyInheritanceEnabled
| ) |  |

Constructor that takes the group ID, the fully qualified path of the group, the name of the group, and whether policy inheritance is enabled as parameters.

Parameters

  id | the group ID
  fullPath | the full path of the group
  name | the group name
  policyInheritanceEnabled | whether this group inherits its policies from a parent group

## Member Function Documentation

String com.symantec.sepm.webservice.client.Group.getId | ( |  | ) |

Returns
  the group id for group

void com.symantec.sepm.webservice.client.Group.setId | ( | String | id | ) |

Parameters

  id | the group id for group

String com.symantec.sepm.webservice.client.Group.getFullPath | ( |  | ) |

Returns
  the fullPath for a group

void com.symantec.sepm.webservice.client.Group.setFullPath | ( | String | fullPath | ) |

Parameters

  fullPath | the full path for a group

String com.symantec.sepm.webservice.client.Group.getName | ( |  | ) |

Returns
  the name of group

void com.symantec.sepm.webservice.client.Group.setName | ( | String | name | ) |

Parameters

  name | the group name to set

boolean com.symantec.sepm.webservice.client.Group.isPolicyInheritanceEnabled | ( |  | ) |

Returns true if this group is configured to inherit its policy from one of its ancestor groups.

If inheritance is enabled, the group's policies cannot be changed. Returns false if inheritance is disabled for this group. If inheritance is disabled, the group's policies can be changed.

Returns
  the policyInheritanceEnabled state

void com.symantec.sepm.webservice.client.Group.setPolicyInheritanceEnabled | ( | boolean | policyInheritanceEnabled | ) |

Sets the policy inheritance state for this object to match the persistent state of this group.

Web service client applications should not call this method. This method modifies only the local object. Any changes are not sent back to the management server.

Parameters

  policyInheritanceEnabled | the isPolicyInheritanceEnabled to set